"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SolanaChain = void 0;
const spl_token_1 = require("@solana/spl-token");
const connect_sdk_1 = require("@wormhole-foundation/connect-sdk");
const address_1 = require("./address");
class SolanaChain extends connect_sdk_1.ChainContext {
    async getTokenAccount(address, token) {
        const mint = new address_1.SolanaAddress(token).unwrap();
        const owner = new address_1.SolanaAddress(address).unwrap();
        const ata = await (0, spl_token_1.getAssociatedTokenAddress)(mint, owner);
        return {
            chain: this.chain,
            address: new address_1.SolanaAddress(ata.toString()),
        };
    }
}
exports.SolanaChain = SolanaChain;
//# sourceMappingURL=chain.js.map